sequential.vertex.coloring {RBGL} | R Documentation

## Compute a vertex coloring for a graph

### Description

Compute vertex coloring for a graph

### Usage

    sequential.vertex.coloring(g)

### Arguments

`g` | an instance of the `graph` class

### Details

A vertex coloring for a graph is to assign a color for each vertex so that no two adjacent vertices are of the same color. We designate the colors as sequential integers: 1, 2, ....

For ordered vertices, `v1`, `v2`, ..., `vn`, for k = 1, 2, ..., n, this algorithm assigns `vk` to the smallest possible color. It does NOT guarantee to use minimum number of colors.

See documentations on these algorithms in Boost Graph Library for more details.

### Value

`no. of colors needed` | how many colors to use to color the graph
`colors of nodes` |

{ color label for each vertex }

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

### Examples

    coex <- fromGXL(file(system.file("XML/dijkex.gxl",package="RBGL"), open="r"))
    sequential.vertex.coloring(coex)

[Package RBGL version 1.10.0 Index]